Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-66653

Babel transform does not support dynamic imports

    XMLWordPrintable

Details

    • New Feature
    • Status: Closed
    • Minor
    • Resolution: Fixed
    • 3.8
    • 3.8
    • JavaScript
    • MOODLE_38_STABLE
    • MOODLE_38_STABLE
    • MDL-66653-master
    • Hide
      1. Ensure that you have the latest node modules:

        nvm use
        rm -rf node_modules ; npm install
        

      2. Start grunt watch:

        grunt watch
        

      3. Drop the attached foo.js file into lib/amd/src
        1. Confirm that foo.js was built
      4. Open Moodle in your browser
      5. Run the following in the JS console:

        require(['core/foo']);
        

        1. Confirm that the string "Yes" was shown in the console
      Show
      Ensure that you have the latest node modules: nvm use rm -rf node_modules ; npm install Start grunt watch: grunt watch Drop the attached foo.js file into lib/amd/src Confirm that foo.js was built Open Moodle in your browser Run the following in the JS console: require(['core/foo']); Confirm that the string "Yes" was shown in the console

    Attachments

      Activity

        People

          dobedobedoh Andrew Lyons
          dobedobedoh Andrew Lyons
          Simey Lameze Simey Lameze
          Eloy Lafuente (stronk7) Eloy Lafuente (stronk7)
          Eloy Lafuente (stronk7) Eloy Lafuente (stronk7)
          David Woloszyn, Huong Nguyen, Jake Dallimore, Michael Hawkins, Stevani Andolo
          Votes:
          0 Vote for this issue
          Watchers:
          2 Start watching this issue

          Dates

            Created:
            Updated:
            Resolved:
            18/Nov/19

            Time Tracking

              Estimated:
              Original Estimate - Not Specified
              Not Specified
              Remaining:
              Remaining Estimate - 0 minutes
              0m
              Logged:
              Time Spent - 1 hour, 41 minutes
              1h 41m